#comment out if not pre-rel
%define prerel pre1

#rel to bump
%define rel 28

%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:       openjade
Version:    1.3.3
Release:    %mkrel %{?prerel:0.%prerel.}%{rel}
Summary:    Parser and tools for SGML + DSSSL
Group:      Publishing
License:    BSD
Url:        https://openjade.sourceforge.net/
Source:     https://download.sourceforge.net/openjade/openjade-%{version}-%prerel.tar.bz2
#Fix dependent libs for libogrove (bug #198232).
Patch2:     openjade-deplibs.patch
#do not require OpenSP libosp.la file for build(#485114)
Patch3:     openjade-nola.patch
#upstream bug tracker fix for build with gcc46
Patch4:     openjade-1.3.2-gcc46.patch
#use Getopt:Std to prevent build failure
Patch5:     openjade-getoptperl.patch
Patch6:     openjade-1.3.3-pre1-gcc7.2.patch
Patch7:     openjade-file_magic.patch
Patch8:     openjade-ldflags.patch
Obsoletes:  jade < %{version}-%{release}
Provides:   jade = %{version}-%{release}
Requires:   opensp
Requires:   sgml-common
Requires(post):   sgml-common
Requires(preun):   sgml-common
BuildRequires: opensp-devel
BuildRequires: chrpath

%description
Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language -- Document Style Semantics and Specification Language --
an ISO standard for formatting SGML (and XML) documents.

%package -n %libname
Group:          Publishing
Summary:        Shared library files for openjade

%description -n %libname
Shared library files for openjade.

%package -n %libnamedev
Group:          Development/C
Summary:        Development files for openjade
Requires:       %name = %version-%release
Requires:   %libname = %version-%release
Provides:       lib%{name}-devel = %version-%release
Provides:   openjade-devel = %version-%release
Obsoletes:  %{_lib}openjade0-devel < %version-%release

%description -n %libnamedev
Files for development from the openjade package.

%prep
%setup -q -n %name-%version-%prerel
%autopatch -p 1

# to recognize aarch64
#cp -af %{_usr}/lib/rpm/config.{guess,sub} config/

%build
export CXXFLAGS="%optflags -fno-lifetime-dse"
%configure \
    --disable-static \
    --enable-http \
    --datadir=%{_datadir}/sgml/%{name}-%{version} \
    --enable-splibdir=%{_libdir}
%make_build

%install
%make_install install-man

# oMy, othis ois osilly.
ln -s openjade %{buildroot}/%{_bindir}/jade
echo ".so man1/openjade.1" > %{buildroot}/%{_mandir}/man1/jade.1

# install jade/jade %{buildroot}/%{prefix}/bin/jade
cp dsssl/catalog %{buildroot}/%{_datadir}/sgml/%{name}-%{version}/
cp dsssl/{dsssl,style-sheet,fot}.dtd %{buildroot}/%{_datadir}/sgml/%{name}-%{version}/

# add unversioned/versioned catalog and symlink
mkdir -p %{buildroot}%{_sysconfdir}/sgml
pushd %{buildroot}%{_sysconfdir}/sgml
touch %{name}-%{version}-%{release}.soc
ln -s %{name}-%{version}-%{release}.soc %{name}.soc
pushd

rm -f %{buildroot}%{_libdir}/*.la

chrpath -d %{buildroot}%{_libdir}/libostyle.so.%{major}.*
chrpath -d %{buildroot}%{_libdir}/libospgrove.so.%{major}.*
chrpath -d %{buildroot}%{_bindir}/openjade

%post
/usr/bin/install-catalog --add %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/sgml/%{name}-%{version}/catalog >/dev/null 2>/dev/null || :

%preun
/usr/bin/install-catalog --remove %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/sgml/%{name}-%{version}/catalog >/dev/null 2>/dev/null || :

%files
%doc doc/ jadedoc/ dsssl/ pubtext/  README VERSION
%{_bindir}/*
%{_datadir}/sgml/%{name}-%{version}
%{_mandir}/*/*
%ghost %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc
%{_sysconfdir}/sgml/%{name}.soc

%files -n %libname
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %libnamedev
%{_libdir}/lib*.so


%changelog
* Sat Apr 06 2024 wally <wally> 1.3.3-0.pre1.28.mga10
+ Revision: 2055097
- basesystem rebuild for i686

* Wed Nov 02 2022 ghibo <ghibo> 1.3.3-0.pre1.27.mga9
+ Revision: 1901671
- Remove further rpaths
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Aug 10 2020 bcornec <bcornec> 1.3.3-0.pre1.26.mga8
+ Revision: 1613139
- Remove pseudo aarch build feature which breaks x86 build at least

* Fri Feb 14 2020 umeabot <umeabot> 1.3.3-0.pre1.25.mga8
+ Revision: 1515720
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.3-0.pre1.24.mga7
+ Revision: 1300016
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 wally <wally> 1.3.3-0.pre1.23.mga7
+ Revision: 1242606
- rediff deplibs patch to really fix build on aarch64

* Fri Jun 22 2018 wally <wally> 1.3.3-0.pre1.22.mga7
+ Revision: 1238703
- add patch to use ldflags
- rediff deplibs patch to work with ldflags

* Thu Jun 21 2018 wally <wally> 1.3.3-0.pre1.21.mga7
+ Revision: 1238690
- rediff deplibs patch to fix more undefined symbols on x86_64

* Thu Jun 21 2018 wally <wally> 1.3.3-0.pre1.20.mga7
+ Revision: 1238684
- add patch to fix undefined symbols
- drop rpath from libs

* Sun Jun 03 2018 wally <wally> 1.3.3-0.pre1.19.mga7
+ Revision: 1233891
- fix build on aarch64

* Fri Sep 08 2017 guillomovitch <guillomovitch> 1.3.3-0.pre1.18.mga7
+ Revision: 1151959
- sync with fedora package

* Sat Feb 13 2016 cjw <cjw> 1.3.3-0.pre1.17.mga6
+ Revision: 959663
- own /usr/share/sgml/openjade since it is created in the preinstall script

* Thu Feb 04 2016 umeabot <umeabot> 1.3.3-0.pre1.16.mga6
+ Revision: 935230
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-0.pre1.15.mga5
+ Revision: 746107
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-0.pre1.14.mga5
+ Revision: 683216
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.3-0.pre1.13.mga4
+ Revision: 532507
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 1.3.3-0.pre1.12.mga4
+ Revision: 468572
- update BuildRequires/Requires after OpenSP was renamed to opensp
- remove unneeded requires

* Wed Oct 17 2012 fwang <fwang> 1.3.3-0.pre1.11.mga3
+ Revision: 307575
- fix obsoletes

* Wed Oct 17 2012 fwang <fwang> 1.3.3-0.pre1.10.mga3
+ Revision: 307531
- add some fedora patches
- cleanup spec

* Sun Jan 09 2011 blino <blino> 1.3.3-0.pre1.10.mga1
+ Revision: 2796
- remove old version in comment
- remove old version check, file migration, ldconfig scriptlets
- imported package openjade


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-0.pre1.9mdv2011.0
+ Revision: 607017
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-0.pre1.8mdv2010.1
+ Revision: 521154
- rebuilt for 2010.1

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 1.3.3-0.pre1.7mdv2010.0
+ Revision: 450178
- specify by hand opensp libdir, openjade is overriding the default
  opensp libdir due to ppc64: this hack is broken and breaks build
  when mips64 glibc binaries are installed, moreover there's no sane
  reason for overriding it (from Arnaud Patard)

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.3.3-0.pre1.6mdv2009.1
+ Revision: 351649
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-0.pre1.5mdv2009.0
+ Revision: 234917
- added a gcc43 patch (P1)
- fix linkage (P2, fedora)
- fix ppc64 stuff (P3, fedora)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 04 2008 Thierry Vignaud <tv@mandriva.org> 1.3.3-0.pre1.4mdv2008.1
+ Revision: 162434
- stop using prereq
- kill re-definition of %%buildroot on Pixel's request
- fix summary

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 22 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.3.3-0.pre1.3mdv2008.0
+ Revision: 42897
- rebuild to link against new opensp on ppc

* Wed Jun 13 2007 Götz Waschk <waschk@mandriva.org> 1.3.3-0.pre1.2mdv2008.0
+ Revision: 38534
- rebuild

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 1.3.3-0.pre1.1mdv2008.0
+ Revision: 37288
- new version
- unpack patch
- fix installation
- Import openjade



* Sun Sep 10 2006 Stefan van der Eijk <stefan@mandriva.org> 1.3.2-13
- %%mkrel

* Tue Aug 16 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3.2-12mdk
- built-in libtool 1.4 fixes

* Mon Jun  7 2004 Götz Waschk <waschk@linux-mandrake.com> 1.3.2-11mdk
- rebuild for new g++

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.2-10mdk
- Don't complain when xmlcatalog is not available at uninstall

* Tue Jan  6 2004 Stefan van der Eijk <stefan@eijk.nu> 1.3.2-9mdk
- remove unpackaged symlink

* Thu Aug 21 2003  <camille@ke.mandrakesoft.com> 1.3.2-8mdk
- include xml.dcl link in files list

* Wed Jul 30 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.2-7mdk
- Provides: openjade-devel

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-6mdk
- Own some generated config files
- now, unregister from xml catalog too

* Tue Jul  1 2003 Götz Waschk <waschk@linux-mandrake.com> 1.3.2-5mdk
- require OpenSP, unbreaks the /usr/bin/nsgmls symlink (Troels Liebe Bentsen)

* Thu Jun 26 2003 Götz Waschk <waschk@linux-mandrake.com> 1.3.2-4mdk
- buildrequires fix

* Thu Jun 26 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.2-3mdk
- do not obsolete sgml-tools

* Tue Jun 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-2mdk
- Fix pre script : we need to create openjade symlink on upgrade too..

* Tue Jun 10 2003 Warly <warly@mandrakesoft.com> 1.3.2-1mdk
- new version (main changes):
  - Build against OpenSP 1.5.
  - Minor fixes to MIF backend.
  - Fix quoted of ampersand in XML/SGML transformations.

* Wed May 21 2003 Götz Waschk <waschk@linux-mandrake.com> 1.3.1-16mdk
- add a versioned provides for jade

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.1-15mdk
- Remove openjade symlink when uninstalling
- symlink html.dcl and xml.dcl in sgml dir
- fix trigger when uninstalling

* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 1.3.1-14mdk
- add catalog to docbook xml too 

* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 1.3.1-13mdk
- rebuild

* Tue Nov 19 2002  <camille@ke.mandrakesoft.com> 1.3.1-12mdk
- Fix /etc/sgml/dsssl-1.3.1.cat not there and ln openjade bug 

* Sat Aug 17 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.1-11mdk
- clean up, kill lots of rpmlint-caught warnings:
- remove alpha-specific cflags
- remove mention of non-existent patch1
- remove addition of -j to %%make macro
- remove COPYING file from %%doc, redundant to package common-licenses
- libify: move libs and includes into new pkgs libopenjade0 and
  libopenjade0-devel
- use %%configure2_5x
- remove call to libtoolize, redundant now with %%configure2_5x

* Thu Aug 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-10mdk
- rebuild for new g++-3.2 ABI
- fix invalid-license

* Wed Aug 14 2002  <camille@ke.mandrakesoft.com> 1.3.1-9mdk
- Fix catalog when no docbook installed

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.1-8mdk
- Automated rebuild with gcc3.2

* Sun Jul  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.1-7mdk
- rpmlint fixes: hardcoded-library-path, strange-permission

* Wed May 15 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-6mdk
- corrected upgrade

* Mon Apr 22 2002  <camille@mandrakesoft.com> 1.3.1-4mdk
- get lt patch from RH
- some spec update

* Mon Jan 28 2002  <camille@mandrakesoft.com> 1.3.1-3mdk
- Fix paths in post scripts
- owns /usr/share/sgml/openjade/

* Mon Jan 28 2002  <camille@mandrakesoft.com> 1.3.1-2mdk
- install in /usr/share/sgml/openjade/ not /usr/share/sgml/openjade-1.3/

* Mon Jan 28 2002  <camille@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Thu Oct 25 2001  <camille@mandrakesoft.com> 1.3-16mdk
- Following Gwenole suggestions, remove patches 3 & 6 
  to allow compilation on IA-64

* Fri Aug 24 2001  <camille@mandrakesoft.com> 1.3-15mdk
- add 2 patches for correct pages numbering with docbook
  from Ian Castle and Francis J. Lacoste

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-14mdk
- fix address in changelog....

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-13mdk
- oops, add catalog in right file...
- apply again needed openjade-builtins.patch (why did it disappear?)

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-12mdk
- Add catalog in sgml-docbook.cat

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-11mdk
- s|Requires|Prereq|;sgml-common (fcrozat).
- Fix compilations.

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-10mdk
- Don't compile with optimisations.

* Wed Nov 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-9mdk
- RH patch merge.
- Compile with gcc2.96.

* Sun Sep 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.3-8mdk
- Rebuilt as jade is not finding the new version of docbook-style-dsssl it is
  still looking for the old one.

* Mon Aug 28 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-7mdk
- relocate builtins.dsl

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-6mdk
- Requires: sgml-common >= 0.2

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-5mdk
- Pre-LSB compliance

* Mon Jul 03 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-4mdk
- Add %%post -p ldconfig and %%postun -p ldconfig

* Fri Jun 30 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-3mdk
- recompile with newer libstdc++

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-2mdk
- User makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-1mdk
- Set -fexecpltions to CFLAGS when compiling on ia32.
- Rename package to openjade (add Provides: Obsoletes: jade).
- compile with egcs.
- Clean up specs.

* Tue Mar 21 2000 Camille Begnis <camille@mandrakesoft.com> 1.2.1-9mdk
- major spec update 
- remove sources from rpm
- fixed doc

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed docs

* Tue Dec 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix build with gcc2.95.

* Sun Nov 07 1999 John Buswell <johnb@mandrakesoft.com>
- Added Url and updated source url
- Build Release

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source


* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First version with the help of author.
